# language: ru

Функционал: Получение версии продукта
    Как Пользователь
    Я хочу иметь возможность выполнять команды
    Чтобы я мог проще автоматизировать больше действий на OneScript

# Очищаю параметры команд
Контекст:
  Допустим Я очищаю параметры команды "git" в контексте 
  И Я очищаю параметры команды "oscript" в контексте 
  И я включаю отладку лога с именем "git"
  И я выключаю отладку лога с именем "git"

Сценарий: Выполнение команды без параметров
    Когда Я выполняю команду "git"
    Тогда Вывод команды "git" содержит "[--version]"
    И Код возврата команды "git" равен 1

Сценарий: Выполнение команды с параметрами в одной строке
    Когда Я выполняю команду "git" c параметрами "--version"
    Тогда Я сообщаю вывод команды "git"
    И Вывод команды "git" содержит "version"
    И Код возврата команды "git" равен 0

Сценарий: Выполнение команды с параметрами, добавляемыми раздельно
    Когда Я добавляю параметр "--version" для команды "git"
    И Я выполняю команду "git"
    Тогда Вывод команды "git" содержит "version"
    И Код возврата команды "git" равен 0

Сценарий: Выполнение команды с параметрами-шаблонами
    Когда Я выполняю команду "oscript" c параметрами "<КаталогПроекта>"
    Тогда Код возврата команды "oscript" равен 2
    И Вывод команды "oscript" не содержит "КаталогПроекта"

Сценарий: Получение вывода последней команды
    Когда Я выполняю команду "oscript"
    Тогда Я показываю вывод команды
    Тогда я вижу в консоли вывод
    """
        Usage:

        I. Script execution: oscript.exe <script_path> [script arguments..]

        II. Special mode: oscript.exe <mode> <script_path> [script arguments..]
        Mode can be one of these:
    """ 
    И я не вижу в консоли вывод "Несуществующий вывод команды"

Сценарий: Проверка вывода последней команды с помощью таблицы подстрок
    Когда Я выполняю команду "oscript"
    И я вижу в консоли вывод
        | Usage |
        | Special mode: oscript.exe <mode> |
    И я не вижу в консоли вывод
        | Несуществующая строка |
        | Несуществующая строка |

Сценарий: Проверка вывода команды с помощью таблицы подстрок
    Когда Я выполняю команду "oscript"
    И Вывод команды "oscript" содержит
        | Usage |
        | Special mode: oscript.exe <mode> |
    И Вывод команды "oscript" не содержит
        | Несуществующая строка |
        | Несуществующая строка |

Сценарий: Проверка вывода регулярными выражениями
    Когда Я выполняю команду "oscript" c параметрами "-version"
    Тогда я вижу в консоли строку подобно "(\d+\.){3}\d+"
    И я не вижу в консоли строку подобно "(\d+\.){5}"

Сценарий: Получение кода возврата последней команды
    Когда Я выполняю команду "oscript"
    Тогда Код возврата равен 0
